LPCOpen Platform for LPC18XX/43XX microcontrollers: C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/emc_18xx_43xx.c File Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
emc_18xx_43xx.c File Reference
`#include "chip.h"`

Go to the source code of this file.

## Macros
#define | EMC_DIV_ROUND_UP(x, y) ((x + y - 1) / y)

## Functions
STATIC uint32_t | getARMPeripheralID (void)
STATIC uint32_t | convertTimmingParam (uint32_t EMC_Clock, int32_t input_ns, uint32_t adjust)
STATIC uint32_t | getColsLen (uint32_t DynConfig)
void | initDynMem (LPC_EMC_T *pEMC, IP_EMC_DYN_CONFIG_T *Dynamic_Config, uint32_t EMC_Clock)
void | initStaticMem (LPC_EMC_T *pEMC, IP_EMC_STATIC_CONFIG_T *Static_Config, uint32_t EMC_Clock)
void | Chip_EMC_Dynamic_Init (IP_EMC_DYN_CONFIG_T *Dynamic_Config)
| Dyanmic memory setup. More...
void | Chip_EMC_Dynamic_Enable (uint8_t Enable)
| Enable Dynamic Memory Controller. More...
void | Chip_EMC_Static_Init (IP_EMC_STATIC_CONFIG_T *Static_Config)
| Static memory setup. More...
void | Chip_EMC_Mirror (uint8_t Enable)
| Mirror CS1 to CS0 and DYCS0. More...
void | Chip_EMC_Enable (uint8_t Enable)
| Enable EMC. More...
void | Chip_EMC_LowPowerMode (uint8_t Enable)
| Set EMC LowPower Mode. More...
void | Chip_EMC_Init (uint32_t Enable, uint32_t ClockRatio, uint32_t EndianMode)
| Initialize EMC. More...

## Macro Definition Documentation

#define EMC_DIV_ROUND_UP | ( |  | x,
|  |  | y
| ) |  | ((x + y - 1) / y)

Definition at line 39 of file emc_18xx_43xx.c.

## Function Documentation

STATIC uint32_t convertTimmingParam | ( | uint32_t | EMC_Clock,
|  | int32_t | input_ns,
|  | uint32_t | adjust
| ) |  |

Definition at line 62 of file emc_18xx_43xx.c.

STATIC uint32_t getARMPeripheralID | ( | void |  | ) |

Definition at line 51 of file emc_18xx_43xx.c.

STATIC uint32_t getColsLen | ( | uint32_t | DynConfig | ) |

Definition at line 84 of file emc_18xx_43xx.c.

void initDynMem | ( | LPC_EMC_T * | pEMC,
|  | IP_EMC_DYN_CONFIG_T * | Dynamic_Config,
|  | uint32_t | EMC_Clock
| ) |  |

Definition at line 103 of file emc_18xx_43xx.c.

void initStaticMem | ( | LPC_EMC_T * | pEMC,
|  | IP_EMC_STATIC_CONFIG_T * | Static_Config,
|  | uint32_t | EMC_Clock
| ) |  |

Definition at line 199 of file emc_18xx_43xx.c.